<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="./ViewFolder_templates.xsl" />

<xsl:output method="html" indent="no" />

<xsl:param name="baseActionURL" />
<xsl:param name="baseDownloadURL" />
<xsl:param name="prefForm" />
<xsl:param name="mediaPath" />

<xsl:template match="xml">

<script language="javascript" src="{$mediaPath}functions.js" >
</script>
	
	<table width="100%" border="0" cellspacing="0" cellpadding="5">
		<tr>
			<xsl:call-template name="outil.nouveau.document" />
			<xsl:call-template name="outil.nouveau.dossier" />
			<xsl:call-template name="outil.recherche" />
			<xsl:call-template name="outil.permissions" />
			<xsl:call-template name="outil.arbre" />
			<xsl:call-template name="outil.vue.user" />
			<xsl:call-template name="outil.intranets" />
			
			<td width="100%">&#160;</td>
		</tr>
	</table>
	<hr/>
	<br/>
	
	<!--<xsl:call-template name="construction"/>
	<br/>-->
	
	<table border="0" width="100%">
		<tr>
			<xsl:apply-templates select="path/folder" />
			<td width="100%">&#160;</td>
		</tr>
	</table>
	
	<table border="0" cellpadding="1" cellspacing="0">
		<xsl:apply-templates select="folders/folder" />
	</table>
	<br/>
	<br/>
	<xsl:apply-templates select="documents" />

</xsl:template>

<xsl:template match="folders/folder">
	<xsl:call-template name="dossier.modification" />	
</xsl:template>

<xsl:template match="documents">
	<xsl:choose>
		<xsl:when test="count(document)!=0">
			<form name="{$prefForm}" method="post" action="{$baseActionURL}">
				<input type="hidden" name="folder" value="{/xml/folder/@id}" />
				<table border="0" cellpadding="3" cellspacing="0">
					<tr class="uportal-background-med">
						<td>&#160;</td>
						<td>&#160;</td>
						<td>&#160;</td>
						<td>&#160;</td>
						<td>&#160;</td>
						<td class="uportal-channel-strong" align="center" colspan="2">
							<a href="{$baseActionURL}?action=order&amp;folder={/xml/folder/@id}&amp;order=order">Ordre</a>
						</td>
						<td width="20">&#160;</td>
						<td>&#160;</td>
						<td class="uportal-channel-strong" align="center">
							<a href="{$baseActionURL}?action=order&amp;folder={/xml/folder/@id}&amp;order=date">Libell</a>
						</td>
						<td width="10">&#160;</td>
						<td class="uportal-channel-strong" align="center">Etat</td>
						<td width="10">&#160;</td>
						<td class="uportal-channel-strong" align="center">
							<a href="{$baseActionURL}?action=order&amp;folder={/xml/folder/@id}&amp;order=author">Auteur</a>
						</td>
						<td width="10">&#160;</td>
						<td class="uportal-channel-strong" align="center">
							<a href="{$baseActionURL}?action=order&amp;folder={/xml/folder/@id}&amp;order=date">Date</a>
						</td>
						<td width="100%">&#160;</td>
					</tr>
					<tr>
						<td class="uportal-text" colspan="7" nowrap="true">Pour la slection :
							<select class="uportal-input-text" name="action">
								<option value="viewfolder"></option>
								<option value="mul_unhidedoc">Afficher</option>
								<option value="mul_hidedoc">Masquer</option>
								<option value="mul_deletedoc">Supprimer</option>
								<option value="mul_validdoc">Valider</option>
							</select>
							<input class="uportal-button" type="submit" value="OK" />
						</td>
						<td colspan="8">&#160;</td>
					</tr>
					<xsl:apply-templates select="document" />
				</table>
			</form>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="document">
	<xsl:choose>
		<xsl:when test="./@type='file'">
			<xsl:call-template name="document.file" />
		</xsl:when>
		<xsl:when test="./@type='link'">
			<xsl:call-template name="document.link" />
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="document.file">
	<xsl:choose>
		<xsl:when test="./@modified='true'">
			<xsl:call-template name="document.file.modified" />
		</xsl:when>
		<xsl:when test="./@deleted='true'">
			<xsl:call-template name="document.file.deleted" />
		</xsl:when>
		<xsl:when test="./@visible='false'">
			<xsl:call-template name="document.file.invisible" />
		</xsl:when>
		<xsl:when test="./@valid='false'">
			<xsl:call-template name="document.file.invalid" />		
		</xsl:when>
		<xsl:when test="./@perimed='true'">
			<xsl:call-template name="document.file.perimed" />		
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="document.file.valid" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="document.link">
	<xsl:choose>
		<xsl:when test="./@modified='true'">
			<xsl:call-template name="document.link.modified" />
		</xsl:when>
		<xsl:when test="./@deleted='true'">
			<xsl:call-template name="document.link.deleted" />
		</xsl:when>
		<xsl:when test="./@visible='false'">
			<xsl:call-template name="document.link.invisible" />
		</xsl:when>
		<xsl:when test="./@valid='false'">
			<xsl:call-template name="document.link.invalid" />
		</xsl:when>
		<xsl:when test="./@perimed='true'">
			<xsl:call-template name="document.link.perimed" />
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="document.link.valid" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="document.file.modified">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify.alert" />
		<xsl:call-template name="document.outil.delete.off" />
		<xsl:call-template name="document.outil.visible.off" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<xsl:call-template name="document.icon"/>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{$baseDownloadURL}?action=download&amp;folder={./@folder}&amp;id={./@id}">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Modifi</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.file.deleted">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify.off" />
		<xsl:call-template name="document.outil.delete.alert" />
		<xsl:call-template name="document.outil.visible.off" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<xsl:call-template name="document.icon"/>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{$baseDownloadURL}?action=download&amp;folder={./@folder}&amp;id={./@id}">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Supprim</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.file.invisible">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify" />
		<xsl:call-template name="document.outil.delete" />
		<xsl:call-template name="document.outil.visible.alert" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<xsl:call-template name="document.icon"/>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{$baseDownloadURL}?action=download&amp;folder={./@folder}&amp;id={./@id}">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Invisible</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.file.invalid">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify.off" />
		<xsl:call-template name="document.outil.delete.off" />
		<xsl:call-template name="document.outil.visible.off" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<xsl:call-template name="document.icon"/>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{$baseDownloadURL}?action=download&amp;folder={./@folder}&amp;id={./@id}">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Nouveau</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.file.perimed">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify" />
		<xsl:call-template name="document.outil.delete" />
		<xsl:call-template name="document.outil.visible" />
		<xsl:choose>
			<xsl:when test="position()='1' and position()=last()">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:when test="position()='1'">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:when>
			<xsl:when test="position()=last()">
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:otherwise>
		</xsl:choose><td width="20">&#160;</td>
		<xsl:call-template name="document.icon"/>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{$baseDownloadURL}?action=download&amp;folder={./@folder}&amp;id={./@id}">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Prim</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.file.valid">
	<tr onmouseover="setPointer(this, 'over', 'uportal-background-med', 'BODY');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'BODY');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify" />
		<xsl:call-template name="document.outil.delete" />
		<xsl:call-template name="document.outil.visible" />
		<xsl:choose>
			<xsl:when test="position()='1' and position()=last()">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:when test="position()='1'">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:when>
			<xsl:when test="position()=last()">
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:otherwise>
		</xsl:choose>
		<td width="20">&#160;</td>
		<xsl:call-template name="document.icon"/>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{$baseDownloadURL}?action=download&amp;folder={./@folder}&amp;id={./@id}">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">&#160;</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.link.modified">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify.alert" />
		<xsl:call-template name="document.outil.delete.off" />
		<xsl:call-template name="document.outil.visible.off" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<td>
			<a href="{./@url}" target="_blank">
				<img src="{$mediaPath}dochtm.gif" border="0" alt="Ouvrir" title="Ouvrir" />
			</a>
		</td>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{./@url}" target="_blank">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Modifi</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.link.deleted">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify.off" />
		<xsl:call-template name="document.outil.delete.alert" />
		<xsl:call-template name="document.outil.visible.off" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<td>
			<a href="{./@url}" target="_blank">
				<img src="{$mediaPath}dochtm.gif" border="0" alt="Ouvrir" title="Ouvrir" />
			</a>
		</td>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{./@url}" target="_blank">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Supprim</td>
		<td class="uportal-text" nowrap="true"><xsl:value-of select="./@description" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.link.invisible">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify" />
		<xsl:call-template name="document.outil.delete" />
		<xsl:call-template name="document.outil.visible.alert" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<td>
			<a href="{./@url}" target="_blank">
				<img src="{$mediaPath}dochtm.gif" border="0" alt="Ouvrir" title="Ouvrir" />
			</a>
		</td>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{./@url}" target="_blank">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Invisible</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.link.invalid">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify.off" />
		<xsl:call-template name="document.outil.delete.off" />
		<xsl:call-template name="document.outil.visible.off" />
		<td>&#160;</td>
		<td>&#160;</td>
		<td width="20">&#160;</td>
		<td>
			<a href="{./@url}" target="_blank">
				<img src="{$mediaPath}dochtm.gif" border="0" alt="Ouvrir" title="Ouvrir" />
			</a>
		</td>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{./@url}" target="_blank">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Nouveau</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.link.perimed">
	<tr class="uportal-background-highlight" onmouseover="setPointer(this, 'over', 'uportal-background-med', 'uportal-background-highlight');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'uportal-background-highlight');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify" />
		<xsl:call-template name="document.outil.delete" />
		<xsl:call-template name="document.outil.visible" />
		<xsl:choose>
			<xsl:when test="position()='1' and position()=last()">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:when test="position()='1'">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:when>
			<xsl:when test="position()=last()">
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:otherwise>
		</xsl:choose><td width="20">&#160;</td>
		<td>
			<a href="{./@url}" target="_blank">
				<img src="{$mediaPath}dochtm.gif" border="0" alt="Ouvrir" title="Ouvrir" />
			</a>
		</td>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{./@url}" target="_blank">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">Prim</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template name="document.link.valid">
	<tr onmouseover="setPointer(this, 'over', 'uportal-background-med', 'BODY');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'BODY');">
		<xsl:call-template name="document.outil.checkbox" />
		<xsl:call-template name="document.outil.zoom" />
		<xsl:call-template name="document.outil.modify" />
		<xsl:call-template name="document.outil.delete" />
		<xsl:call-template name="document.outil.visible" />
		<xsl:choose>
			<xsl:when test="position()='1' and position()=last()">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:when test="position()='1'">
				<xsl:call-template name="document.outil.up.off" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:when>
			<xsl:when test="position()=last()">
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.off" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="document.outil.up.on" />
				<xsl:call-template name="document.outil.down.on" />
			</xsl:otherwise>
		</xsl:choose>
		<td width="20">&#160;</td>
		<td>
			<a href="{./@url}" target="_blank">
				<img src="{$mediaPath}dochtm.gif" border="0" alt="Ouvrir" title="Ouvrir" />
			</a>
		</td>
		<td class="uportal-channel-strong" nowrap="true">
			<a href="{./@url}" target="_blank">
				<xsl:value-of select="./@description" />
			</a>
		</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true">&#160;</td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@author" /></td>
		<td width="10">&#160;</td>
		<td class="uportal-text-small" nowrap="true"><xsl:value-of select="./@datetext" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

</xsl:stylesheet>